[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.MenuChanged

Implements the OnChange event handler assigned to menu items in the menu.

## Declaration

Source position: menus.pp line 395

`protected procedure TMenu.MenuChanged(`
`Sender: TObject;`
`Source: TMenuItem;`
`Rebuild: Boolean`
`); virtual;`

## Arguments

`Sender` |  | Object for the event notification.
`Source` |  | Menu item for the change notification.
`Rebuild` |  | True to rebuild the visible child menu items in Source.

## Description

Calls the DoChange method using Source and Rebuild as arguments. No actions are performed in the method during LCL component streaming, or when the component is being freed.

## See also

TMenu.DoChange |  | Performs actions needed when the specified menu item has been changed.
TMenuChangeEvent |  | Specifies an event handler signalled when a menu or menu item is changed.